<?php

namespace Acms\Services\Form;

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class FormServiceProvider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        $container->singleton('form.repository', 'Acms\Services\Form\Repository');
        $container->singleton('form.export', 'Acms\Services\Form\Export');
        $container->singleton('form.import', 'Acms\Services\Form\Import');
        $container->singleton('form.authorization', 'Acms\Services\Form\Authorization');
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {
    }
}
